Bug 961244 - If joined via adcli, leave --remove doesn't work
If joined via adcli, leave --remove doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 959458 967008
  Show dependency treegraph
 
Reported: 2013-05-09 04:33 EDT by Stef Walter
Modified: 2013-08-01 23:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: realmd-0.14.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 967008 (view as bug list)
Environment:
Last Closed: 2013-08-01 23:38:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 65032 None None None Never

  None (edit)
Description Stef Walter 2013-05-09 04:33:25 EDT
If realm join was done via adcli, and not 'net ads join' then 'realm leave --remove' doesn't actually remove the computer account from the domain.
Comment 1 Stef Walter 2013-05-09 04:35:17 EDT
[stef@stef ~]$ realm leave --verbose --remove borg.thewalter.lan
Password for Administrator: 
 * LANG=C LOGNAME=root /usr/bin/net -s /var/cache/realmd/realmd-smb-conf.1PNQWW -U Administrator ads leave
Enter Administrator's password:
Failed to leave domain: Unable to fetch domain sid: are we joined?
 ! Leaving the domain borg.thewalter.lan failed
 * Removing entries from keytab for realm
 * /usr/sbin/sss_cache --users --groups --netgroups --services --autofs-maps
 * Removing domain configuration from sssd.conf
 * /usr/bin/systemctl restart sssd.service
 * Successfully unenrolled machine from realm
Comment 2 Stef Walter 2013-07-22 10:03:21 EDT
Pushed fix to realmd and adcli git master.
Comment 3 Fedora Update System 2013-07-22 12:33:51 EDT
adcli-0.7.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/adcli-0.7.2-1.fc19
Comment 4 Fedora Update System 2013-07-22 12:34:52 EDT
realmd-0.14.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/realmd-0.14.3-1.fc19
Comment 5 Fedora Update System 2013-07-23 23:25:25 EDT
Package realmd-0.14.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.14.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13467/realmd-0.14.3-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-01 23:38:45 EDT
adcli-0.7.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-08-01 23:46:20 EDT
realmd-0.14.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.